Page MenuHomePhabricator

wikimedia-mobile-terms url should be removed or renamed and updated to mobile-frontend-terms-url
Closed, ResolvedPublic2 Estimated Story Points

Description

The messages wikimedia-mobile-terms contains link to https://m.foundation.wikimedia.org/wiki/Terms_of_Use which does not work. I could not find the message used anywhere in the interface, so maybe the code at https://codesearch.wmflabs.org/search/?q=getTermsLink&i=nope&files=&repos= is broken.

The message that is used is mobile-frontend-terms-url . This is set for certain projects, but not all projects as some projects e.g. mediawiki.org do not set the message.

It's unclear whether this is up to the projects to update or whether there should be a generic catch all message in WikimediaMessages. if the former we should delete it. If the latter we should rename.

Proposed fix

QA steps

  • on m.mediawiki.org a terms of use link should appear in the footer

QA Results - Prod

ACStatusDetails
1T252375#6215935

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 11 2020, 8:43 AM
Jdlrobson edited projects, added Mobile; removed MobileFrontend.May 11 2020, 3:22 PM
Jdlrobson added a subscriber: Jdlrobson.

Not use by MobileFrontend. Maybe apps?
We use mobile-frontend-terms-url

Judging by its introduction in fc693fe9ab47a462465510f0b45ce4c4e3cc245e and use of a hook that no longer exists/runs, pretty sure this is unused. We might want to rename it to mobile-frontend-terms-url but given there is no terms of use on mediawiki.org (by design or mistake?) maybe this message should be renamed? https://m.mediawiki.org/wiki/MediaWiki:Mobile-frontend-terms-url

Checked - Android doesn't use it either.

JMinor added a subscriber: JMinor.May 11 2020, 6:36 PM

This string is not used by the iOS app.

Legal - could you please advise if its intentional that the terms of use is linked to from the footer of en.m.wikipedia.org but not m.mediawiki.org ?

Jdlrobson renamed this task from wikimedia-mobile-terms url is broken and maybe unused to wikimedia-mobile-terms url should be removed or renamed and updated to mobile-frontend-terms-url .May 11 2020, 8:35 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.May 14 2020, 9:41 PM
ovasileva added a subscriber: ovasileva.

Moving back to backlog until we can get guidance from legal

No, that's unintentional. The correct Terms of Use link should be in the footer.

Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)

Change 599402 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/WikimediaMessages@master] Restore terms of link URL to wikis

https://gerrit.wikimedia.org/r/599402

Jdlrobson triaged this task as High priority.May 28 2020, 6:23 PM

A missing terms of use seems pretty high priority to fix @ovasileva ?

[…] to https://m.foundation.wikimedia.org/wiki/Terms_of_Use which does not work.

Indeed, on mobile the for this goes to https://foundation.m.wikimedia.org/wiki/Terms_of_Use instead. The m-dot is generally in the middle except for domains where there is no subdomain (e.g. m.wikidata.org, m.mediawiki.org).

This was broken by T199812, which blindly changed wikimediafoundation.org to foundation.wikimedia.org, thus breaking the m.wikimediafoundation.org urls.

ovasileva set the point value for this task to 2.Jun 3 2020, 4:15 PM
JMinor removed a subscriber: JMinor.Jun 4 2020, 3:33 PM
Jdlrobson added a parent task: Restricted Task.Jun 5 2020, 3:54 PM

Change 599402 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Restore terms of use link URL to wikis

https://gerrit.wikimedia.org/r/599402

We'll want to check this shows up on mediawiki.org when this change has rolled out.

Jdlrobson reassigned this task from Jdrewniak to Edtadros.Jun 9 2020, 5:03 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdrewniak.
Edtadros reassigned this task from Edtadros to Jdrewniak.EditedJun 11 2020, 4:32 PM
Edtadros added a subscriber: Edtadros.

Test Result - Prod

Status: ❌ Fail
Environment: m.mediawiki.org
OS: macOS Catalina
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

QA steps

❌ AC1: On m.mediawiki.org a terms of use link should appear in the footer

NOTE: The terms of use link does appear if I toggle to Desktop and back again to Mobile. I also tried a hard reload and it still didn't make the link appear.
Edtadros updated the task description. (Show Details)Jun 11 2020, 4:34 PM

Hmm.. I'm seeing:

ovasileva closed this task as Resolved.Jun 15 2020, 3:19 PM

Saw it as well once I cleared the cache. Resolving!